index

Varkon MBS Programmers manual

# get_material - Function

## Description

Returns the color values of a material.

## Syntax

      status:=get_material(pen, ambient_red,  ambient_green,  ambient_blue
                                diffuse_red,  diffuse_green,  diffuse_blue,
                                specular_red, specular_green, specular_blue,
                                emitted_red,  emitted_green,  emitted_blue,
                                shininess);

      int pen;
      int ambient_red;
      int ambient_green;
      int ambient_blue;
      int diffuse_red;
      int diffuse_green;
      int diffuse_blue;
      int specular_red;
      int specular_green;
      int specular_blue;
      int emmited_red;
      int emmited_green;
      int emmited_blue;
      int shininess;
      int status;

## Principal parameters

pen | - Pen number. 0 - 255
ambient_red | - Ambient red intensity, 0 - 255
ambient_green | - Ambient green intensity, 0 - 255
ambient_blue | - Ambient blue intensity, 0 - 255
diffuse_red | - Diffuse red intensity, 0 - 255
diffuse_green | - Diffuse green intensity, 0 - 255
diffuse_blue | - Diffuse blue intensity, 0 - 255
specular_red | - Specular red intensity, 0 - 255
specular_green | - Specular green intensity, 0 - 255
specular_blue | - Specular blue intensity, 0 - 255
emitted_red | - Emitted red intensity, 0 - 255
emitted_green | - Emitted green intensity, 0 - 255
emitted_blue | - Emitted blue intensity, 0 - 255
shininess | - Material shininess, 0 - 255

## Optional parameters

None.

## Return value

Returns 0 if the pen is defined and -1 if the pen is not defined.

## Comments

See also:

cre_material(), cre_color(), get_color()

Varkon version 1.19C svn# 120